: Class Model

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ## TsBiff 1.3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ts.biff
Class Model

    java.lang.Object
      |
      +--javax.swing.table.AbstractTableModel
            |
            +--ts.ui.TsTableModel
                  |
                  +--ts.biff.Model

All Implemented Interfaces:
  java.util.EventListener, MailListener, java.io.Serializable, javax.swing.table.TableModel

public class Model
extends TsTableModel
implements MailListener

A Table model that also listens for mail events

Version:
  $Id: Model.java,v 1.4 1999/02/21 08:47:04 hauk Exp $
Author:
  Jan-Henrik Haukeland
See Also:
  `View`, `Controller`, Serialized Form

Fields inherited from class ts.ui.TsTableModel
`hiddenColumns, isEditable, myColumnTitles, myDataSet, numColumns, numRows`

Fields inherited from class javax.swing.table.AbstractTableModel
`listenerList`

Constructor Summary
`Model()`

Method Summary
`void` | `mailEvent(MailEvent e)` Called when a Mail event occurs.

Methods inherited from class ts.ui.TsTableModel
`clear, convertToArray, convertToVector, convertToVector, createTsTableDataModel, deleteRow, getColumnClass, getColumnCount, getColumnName, getHiddenColumnsCount, getRow, getRowCount, getRowVector, getValueAt, insertRow, insertRow, insertRow, insertRow, insertRows, insertRows, insertRows, insertRows, isCellEditable, setData, setData, setEditable, setHiddenColumns, setTitles, setTitles, setValueAt`

Methods inherited from class javax.swing.table.AbstractTableModel
`addTableModelListener, findColumn, fireTableCellUpdated, fireTableChanged, fireTableDataChanged, fireTableRowsDeleted, fireTableRowsInserted, fireTableRowsUpdated, fireTableStructureChanged, getListeners, removeTableModelListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Model

    public Model()

Method Detail

### mailEvent

    public void mailEvent(MailEvent e)

  Called when a Mail event occurs. Acquire a list of mail messages from the event source, and update this model with the new mail list.
  Specified by:
    `mailEvent` in interface `MailListener`
  Parameters:
    `e` - The mail event

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ## TsBiff 1.3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD